Subject: Re: git ls-files -o under .git/ prints all repository files

From: Simon 'corecode' Schubert <[email-masked]>
Date: Fri, 19 Jan 2007 08:51:17 +0100

Junio C Hamano wrote:
> Yasushi SHOJI <[email-masked]> writes:
> 
>> ls-files -o prints all files under .git if you are in the .git
>> directory.  this is pretty dangerous since we now have git clean to
>> delete files marked others.
>>
>> sure in UNIX env., you can easily shoot yourself in the foot. but it'd
>> might be nice to help newbies.
> 
> It's amusing to see that people can find obscure ways to shoot
> themselves in the foot.
> 
> Amusing problems deserve an equally amusing solution.

I guess you are not serious.  I wonder, why does git-ls-files ever list files under .git?  I'd just say:  fail if you want to list $GIT_DIR.  Maybe other tools should do so as well.

% cd .hg && hg status -A .
abort: path contains illegal component: .hg

I think this is a sensible thing to do.

cheers
  simon

-- 
Serve - BSD     +++  RENT this banner advert  +++    ASCII Ribbon   /"\
Work - Mac      +++  space for low €€€ NOW!1  +++      Campaign     \ /
Party Enjoy Relax   |   http://dragonflybsd.org      Against  HTML   \
Dude 2c 2 the max   !   http://golden-apple.biz       Mail + News   / \